package model;

import javafx.beans.property.ObjectProperty;

import java.util.Random;

public class CapteurRealiste extends CapteurAbstrait{
/*
    Pour rendre les variations plus réalistes on veut un capteur qui génère des
    températures dont la variation est bornée en fonction d'un intervalle [-d;+d]
    et d'une température initiale T (tous deux définis à la création)

    t0 = T
    ti+1 = ti + random(-d,+d)
*/
    public CapteurRealiste(int id, String nom, double tZero, double borne) {
        super(id, nom);
        this.borne = borne;
        this.tZero = tZero;
        this.setTemp(tZero);
    }

    private Double borne;
    private  Double tZero;

    @Override
    public ObjectProperty<Double> genTemp() {
        Random rand = new Random();

        double randomValue = rand.nextDouble() * 2 * this.borne - this.borne;
        /* rand.nextDouble fait un double entre 0 et 1.
         * Ensuite on fait * 2*borne pour que l'intervale soit entre 0 et 2*borne.
         * On soustrait borne après comme ça on a un nombre entre -borne et borne.
         */

        double newTemp = this.getTemp().getValue() + randomValue; //tzero + random entre -borne et borne
        this.setTemp(newTemp);
        return this.getTemp();
    }
}
