package model;

import javafx.beans.property.ObjectProperty;
import javafx.beans.property.SimpleObjectProperty;

import java.util.List;

public class CapteurVirtuel extends CapteurAbstrait {

    private List<CapteurAbstrait> capteurs;

    CapteurVirtuel(List<CapteurAbstrait> cs, int id, String nom){
        super(id, nom);
        this.capteurs = cs;
    }
    public void addCapteur(CapteurAbstrait c){
        capteurs.add(c);
    }

   public void removeCapteur(CapteurAbstrait c){
        capteurs.remove(c);
    }

    @Override
    // calcule la temperature moyenne des capteurs sa collection de capteurs
    public ObjectProperty<Double> genTemp() {
        ObjectProperty<Double> avg = new SimpleObjectProperty<>();
        avg.setValue((double) 0);

        for (CapteurAbstrait c: capteurs) {
            avg.setValue(c.genTemp().getValue() + avg.getValue());
        }
        avg.set(avg.getValue()/capteurs.size());
        return avg;
    }
}
